Subject: [Gen-art] Genart last call review of draft-ietf-dmm-ondemand-mobility-15

From: Russ Housley <[email-masked]>
Date: Thu, 03 Jan 2019 14:57:51 -0800

Reviewer: Russ Housley
Review result: Almost Ready

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Document: draft-ietf-dmm-ondemand-mobility-15
Reviewer: Russ Housley
Review Date: 2019-01-03
IETF LC End Date: 2019-01-16 
IESG Telechat date: unknown

Summary: Almost Ready

Major Concerns:

None.

Minor Concerns:

Section 2: Please update the first paragraph to reference RFC 8174
in addition to RFC 2119, as follows: 

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
   "OPTIONAL" in this document are to be interpreted as described in
   BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all
   capitals, as shown here.

Nits:

Section 1: s/It should be noted that in/In/

Section 1 uses one style for listing two properties, and then Section 3
uses another style for listing four types of IP address.  Please pick
one style and use it in both places.

Section 4.1: s/secsc(/setsc(/  -- in a comment

Questions:

Should getsc() also be described in Section 6?

Should anything be added to the Security Considerations about CGA?

---

From: "Moses, Danny" <[email-masked]>
Date: Mon, 7 Jan 2019 09:51:50 +0000

Hi Russ,

Thank you for your comments and questions. Please see the responses to each issue.
I copied the comments and followed each one with a response for ease of review.

Minor Concerns:

Section 2: Please update the first paragraph to reference RFC 8174 in addition to RFC 2119, as follows: 

>>Response: Yes, I will apply the newer text and add a reference to RFC8174.

Nits:

>>Response: I will apply the change.

Section 1 uses one style for listing two properties, and then Section 3 uses another style for listing four types of IP address.  Please pick one style and use it in both places.
>>Response: I am changing the listing style in section 1 to the one used in section 3.

>>Response: I will correct the typo in the comment

Questions:

>>Response: Actually, ‘getsc()’ is a typo. The draft proposes only one new API: ‘setsc()’. I will correct all occurrences of ‘getsc()’ to ‘setsc()’.

>>Response: I do not think so. This draft does not deal with how source IP addresses are generated. Specifically, it does not change the way a source IPv6 addresses are constructed from a given source IPv6 prefix. It only specifies a way for applications to express their desire regarding the type of service provided by networks for mobility management.  

Thanks and regards,
Danny

-----Original Message-----
From: Russ Housley [mailto:[email-masked]] 
Sent: Friday, January 04, 2019 00:58
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Genart last call review of draft-ietf-dmm-ondemand-mobility-15

Reviewer: Russ Housley

I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair.  Please treat these comments just like any other last call comments.

For more information, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Summary: Almost Ready

Major Concerns:

None.

Minor Concerns:

Section 2: Please update the first paragraph to reference RFC 8174 in addition to RFC 2119, as follows: 

Nits:

Section 1 uses one style for listing two properties, and then Section 3 uses another style for listing four types of IP address.  Please pick one style and use it in both places.

Questions:

---------------------------------------------------------------------
A member of the Intel Corporation group of companies

This e-mail and any attachments may contain confidential material for
the sole use of the intended recipient(s). Any review or distribution
by others is strictly prohibited. If you are not the intended
recipient, please contact the sender and delete all copies.